#ifndef MAILMERGE_QtSqlPLUGIN_EASYFILTER
#define MAILMERGE_QtSqlPLUGIN_EASYFILTER

#include <kdialogbase.h>

class TQTable;
class TQScrollView;
class TQStringList;

class KWQtSqlEasyFilter: public KDialogBase
{
	TQ_OBJECT
  
public:
    KWQtSqlEasyFilter( TQWidget *parent);
    virtual ~KWQtSqlEasyFilter();
protected:
    void createColumn(int i);

protected slots:
    void slotValueChanged ( int, int);
private:
	TQTable *m_table;
	TQScrollView *m_view;
        TQStringList m_fieldList,m_sortingList,m_operationList;


};

#endif
